package net.ranides.assira.time2;

import org.junit.Assert;
import org.junit.Test;

import java.time.ZonedDateTime;

import static org.junit.Assert.*;

public class DateTimeUtilsTest {

    @Test
    public void highlight() {
        ZonedDate date1 = DateTimeUtils.asDate(ZonedDateTime.now());

        ZonedDate date2 = DateTimeUtils.asPolishDate(ZonedDateTime.now());


        ZonedDateTime input = Math.random()> 0.5 ? null : ZonedDateTime.now();

        ZonedDate out = DateTimeUtils.asPolishDate(input);

        System.out.println(out.withMax());

        ZonedDateTime datetime1 = Math.random()> 0.5 ? null : ZonedDateTime.now();
        ZonedDateTime datetime2 = ZonedDateTime.now();

        System.out.println( DateTimeUtils.diff(datetime1, datetime2));


        DateTimeUtils.asDateTime(date1, ZonedTime.now());


        Assert.assertNotNull(date1);
        Assert.assertNotNull(date2);

    }
}